Subject: Re: [PATCH 1/1] Net: kconfig, correct traffic shaper

From: Jeff Garzik <[email-masked]>
Date: Mon, 06 Nov 2006 02:52:02 -0500

Jiri Slaby wrote:
> Patrick McHardy <[email-masked]> wrote:
>> While you're at it .. CBQ is actually not a very good alternative
>> since it doesn't work properly on top of virtual network devices.
>> The closest match for an alternative would be TBF, but HTB and
>> HFSC also do fine. Maybe just point to the traffic schedulers in
>> general. I think you could also change EXPERIMENTAL to OBSOLETE
>> for the shaper device, the traffic schedulers are a lot more
>> flexible.
> 
> Ok, thanks for comments. Here it comes, please (n)ack it:
> 
> --
> 
> kconfig, correct traffic shaper
> 
> As Patrick McHardy <[email-masked]> suggested, Traffic Shaper is
> now obsolete and alternative to it is no longer CBQ, since its problems with
> virtual devices, alter Kconfig text to reflect this -- put a link to the
> traffic schedulers as a whole.
> 
> Signed-off-by: Jiri Slaby <[email-masked]>
> Cc: Alan Cox <[email-masked]>
> Cc: Patrick McHardy <[email-masked]>

ACK from me, though I think that since it relates to traffic schedulers 
I think this patch should be merged through DaveM...

	Jeff